<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- innosetup-module.qdoc -->
  <title>innosetup QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">innosetup QML Type</h1>
<span class="subtitle"></span>
<!-- $$$innosetup-brief -->
<p>Provides Inno Setup support. <a href="#details">More...</a></p>
<!-- @@@innosetup -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.7</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-innosetup-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#compilerFlags-prop">compilerFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#compilerName-prop">compilerName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#compilerPath-prop">compilerPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#defines-prop">defines</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#includePaths-prop">includePaths</a></b></b> : pathList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#toolchainInstallPath-prop">toolchainInstallPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#verboseOutput-prop">verboseOutput</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#version-prop">version</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#versionMajor-prop">versionMajor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#versionMinor-prop">versionMinor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#versionParts-prop">versionParts</a></b></b> : list</li>
<li class="fn"><b><b><a href="qml-qbsmodules-innosetup.html#versionPatch-prop">versionPatch</a></b></b> : int</li>
</ul>
<!-- $$$innosetup-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>innosetup</code> module contains properties and rules for building EXE setup packages with <a href="http://www.jrsoftware.org/isinfo.php">Inno Setup</a>. Inno Setup 5 and above are supported.</p>
<p><b>Note: </b>A typical Inno Setup Script includes an <code>OutputBaseFilename</code> command to set the filename of the generated installer executable. However, Qbs overrides any <code>OutputBaseFilename</code> commands found in the script by passing the <code>/F</code> option to the ISCC compiler, and therefore, you must use the <a href="qml-qbslanguageitems-product.html#targetName-prop">Product.targetName</a> property to set the filename. Qbs also overrides any <code>Output</code> commands by passing the <code>/O</code> option to the ISCC compiler.</p><a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-innosetup"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;innosetup.iss&quot;</code></td><td ><code>&quot;*.iss&quot;</code></td><td >1.7</td><td >Source files with this tag identify Inno Setup Script files, which serve as inputs to a rule invoking the Inno Setup Script Compiler.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;innosetup.exe&quot;</code></td><td >n/a</td><td >1.7</td><td >The rule that creates Inno Setup executable files attaches this tag (as well as the <a href="qml-qbsmodules-cpp.html#filetags-cpp">&quot;application&quot;</a> tag) to its output artifact.</td></tr>
</table></div>
<!-- @@@innosetup -->
<h2>Property Documentation</h2>
<!-- $$$compilerFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of additional flags for the Inno Setup compiler.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@compilerFlags -->
<br/>
<!-- $$$compilerName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the compiler binary.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <code>&quot;ISCC.exe&quot;</code></p>
</div></div><!-- @@@compilerName -->
<br/>
<!-- $$$compilerPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The full path of the compiler binary.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <code>compilerName</code></p>
</div></div><!-- @@@compilerPath -->
<br/>
<!-- $$$defines -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="defines-prop">
<td class="tblQmlPropNode"><p>
<span class="name">defines</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of preprocessor macros that get passed to the compiler.</p>
<p>To set macro values, use the following syntax:</p>
<pre class="cpp plain">

  innosetup.defines: [&quot;USE_COLORS=1&quot;, 'COLOR_STR=&quot;blanched almond&quot;']

</pre>
<p>Default: Undefined</p>
</div></div><!-- @@@defines -->
<br/>
<!-- $$$includePaths -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="includePaths-prop">
<td class="tblQmlPropNode"><p>
<span class="name">includePaths</span> : <span class="type">pathList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of include paths.</p>
<p>Relative paths are considered to be relative to the <code>.qbs</code> product file they are used in.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@includePaths -->
<br/>
<!-- $$$toolchainInstallPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="toolchainInstallPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">toolchainInstallPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Inno Setup installation directory.</p>
<p>Determined by searching the registry for the latest version.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: Determined automatically.</p>
</div></div><!-- @@@toolchainInstallPath -->
<br/>
<!-- $$$verboseOutput -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="verboseOutput-prop">
<td class="tblQmlPropNode"><p>
<span class="name">verboseOutput</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to display verbose output from the Inno Setup compiler.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@verboseOutput -->
<br/>
<!-- $$$version -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="version-prop">
<td class="tblQmlPropNode"><p>
<span class="name">version</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Inno Setup version.</p>
<p>Consists of three numbers separated by dots, for instance <code>&quot;5.5&#x2e;9&quot;</code>.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@version -->
<br/>
<!-- $$$versionMajor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMajor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMajor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Inno Setup major version.</p>
<p>Default: <code>versionParts[0]</code></p>
</div></div><!-- @@@versionMajor -->
<br/>
<!-- $$$versionMinor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMinor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMinor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Inno Setup minor version.</p>
<p>Default: <code>versionParts[1]</code></p>
</div></div><!-- @@@versionMinor -->
<br/>
<!-- $$$versionParts -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionParts-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionParts</span> : <span class="type">list</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Inno Setup version as a list.</p>
<p>For instance, Inno Setup version 5.5&#x2e;9 would correspond to a value of <code>[5, 5, 9]</code>.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@versionParts -->
<br/>
<!-- $$$versionPatch -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionPatch-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionPatch</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Inno Setup patch level.</p>
<p>Default: <code>versionParts[2]</code></p>
</div></div><!-- @@@versionPatch -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
